(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     21976,        535]
NotebookOptionsPosition[     20881,        511]
NotebookOutlinePosition[     21315,        528]
CellTagsIndexPosition[     21272,        525]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8129932043593683`*^9, 3.8129932123022966`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"c441236e-3fca-4502-a685-f2b80ca10843"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "c"}], "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Sort", "[", 
  RowBox[{"Sort", "/@", 
   RowBox[{"AristasWolframSystemToCombinatorica", "[", 
    RowBox[{"EdgeList", "[", 
     RowBox[{"GraphComplement", "[", "grafo", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Valencias", "[", "grafo", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a", ",", "e", ",", "g", ",", "h", ",", "f", ",", "b", ",", "c", ",", 
       "d", ",", "a"}], "}"}], ",", "2", ",", "1"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoHamiltonQ", "[", "grafo", "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo", ",", "3"}], "]"}]}], "Input",
 CellChangeTimes->{{3.812993220355399*^9, 3.812993220716432*^9}, {
  3.8129932831343126`*^9, 3.812993297846098*^9}, {3.8129933322330046`*^9, 
  3.8129933583061733`*^9}, {3.8129934040048847`*^9, 3.812993422725404*^9}, {
  3.8129934796297846`*^9, 3.812993519945956*^9}, {3.812994641270113*^9, 
  3.8129946502016697`*^9}, {3.812995286305739*^9, 3.8129952937317934`*^9}, {
  3.8129953497349567`*^9, 3.812995367170333*^9}, {3.812996188560604*^9, 
  3.8129962144112887`*^9}, {3.812996640185512*^9, 3.8129966547871733`*^9}, {
  3.8129970365995674`*^9, 3.812997094961919*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"1788cdfa-aeee-4d67-baea-a9c07bf89a30"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`d, $CellContext`e, $CellContext`g, \
$CellContext`h, $CellContext`b, $CellContext`f, $CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {6, 3}, {6, 7}, {8, 2}, {8, 3}, {
       2, 3}, {2, 4}, {3, 7}, {4, 5}, {4, 3}, {6, 8}, {7, 5}, {5, 6}, {7, 
       8}}}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQBGImKN7yLNnfKJXBQcVOzdHhwlP7oqaFodYcv+wZoABd
/mKcbLd48gf78vfd837sf2SPLq8Rb7Jivuw/+1ulnMfOCH3GkBdWvup4LeGD
fdO7DrXk3u8Y9qGbjy6Pbj66/KajUuWvn94C8Zd9/xKI4V50/ejyMHOc4w5e
5r6I6d8jpRmW7oFH7dtzc48sFsTUj24/un3o/kfno9uPLo9uP7p6QvLo7kNX
jy4PAMlU6mA=
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.049412365185015, 0.6816712639283122}, 
          0.023011135042656228], 
         InsetBox["a", 
          Offset[{2, 2}, {2.072423500227671, 0.7046823989709685}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6270097107846166, 0.}, 0.023011135042656228], 
         InsetBox["d", 
          Offset[{2, 2}, {1.650020845827273, 0.023011135042656228}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.024192374627024, 0.5859339806188321}, 
          0.023011135042656228], 
         InsetBox["e", 
          Offset[{2, 2}, {1.0472035096696803, 0.6089451156614882}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8822323389521873, 1.1920898185556923}, 
          0.023011135042656228], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9052434739948436, 1.2151009535983486}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.023641831549132, 1.4720183854359736}, 
          0.023011135042656228], 
         InsetBox["h", Offset[{2, 2}, {1.0466529665917883, 1.49502952047863}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.6817683349463056}, 0.023011135042656228], 
         InsetBox["b", 
          Offset[{2, 2}, {0.023011135042656228, 0.7047794699889618}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.16654291442038816, 1.1918065712878574}, 
          0.023011135042656228], 
         InsetBox["f", 
          Offset[{2, 2}, {0.18955404946304438, 1.2148177063305137}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.4202831900721221, 0.0010960024301311933}, 
          0.023011135042656228], 
         InsetBox["c", 
          Offset[{2, 2}, {0.44329432511477834, 0.02410713747278742}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, {3.813084062575436*^9, 
   3.8130840686335278`*^9}},
 CellLabel->"Out[14]=",ExpressionUUID->"2d1e8c07-c8dc-4b44-9729-e401d287ef76"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "g"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, {3.813084062575436*^9, 
   3.81308406870252*^9}},
 CellLabel->"Out[15]=",ExpressionUUID->"ceef8db0-7fbf-4301-843f-16fa3a711132"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox["\<\"Grado o valencia\"\>",
       HoldForm], "4", "4", "6", "4", "4", "4", "4", "4"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{"Grado o valencia"}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, {3.813084062575436*^9, 
   3.8130840687055173`*^9}},
 CellLabel->
  "Out[16]//TableForm=",ExpressionUUID->"806b73df-20b2-40ef-870f-\
4f8851be844d"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`d, $CellContext`e, $CellContext`g, \
$CellContext`h, $CellContext`b, $CellContext`f, $CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {6, 3}, {6, 7}, {8, 2}, {8, 3}, {
       2, 3}, {2, 4}, {3, 7}, {4, 5}, {4, 3}, {6, 8}, {7, 5}, {5, 6}, {7, 
       8}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`f, $CellContext`b], 
         UndirectedEdge[$CellContext`h, $CellContext`f], 
         UndirectedEdge[$CellContext`d, $CellContext`a], 
         UndirectedEdge[$CellContext`b, $CellContext`c], 
         UndirectedEdge[$CellContext`e, $CellContext`g], 
         UndirectedEdge[$CellContext`a, $CellContext`e], 
         UndirectedEdge[$CellContext`g, $CellContext`h]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.049412365185015, 0.6816712639283122}, {
          1.6270097107846166`, 0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.049412365185015, 0.6816712639283122}, {1.024192374627024,
           0.5859339806188321}}]}, 
        LineBox[{{2.049412365185015, 0.6816712639283122}, {
         1.8822323389521873`, 1.1920898185556923`}}], 
        LineBox[{{2.049412365185015, 0.6816712639283122}, {1.023641831549132, 
         1.4720183854359736`}}], 
        LineBox[{{1.6270097107846166`, 0.}, {1.024192374627024, 
         0.5859339806188321}}], 
        LineBox[{{1.6270097107846166`, 0.}, {1.8822323389521873`, 
         1.1920898185556923`}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.6270097107846166`, 0.}, {0.4202831900721221, 
          0.0010960024301311933`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.024192374627024, 0.5859339806188321}, {
          1.8822323389521873`, 1.1920898185556923`}}]}, 
        LineBox[{{1.024192374627024, 0.5859339806188321}, {0., 
         0.6817683349463056}}], 
        LineBox[{{1.024192374627024, 0.5859339806188321}, {
         0.16654291442038816`, 1.1918065712878574`}}], 
        LineBox[{{1.024192374627024, 0.5859339806188321}, {0.4202831900721221,
          0.0010960024301311933`}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.8822323389521873`, 1.1920898185556923`}, {
          1.023641831549132, 1.4720183854359736`}}]}, 
        LineBox[{{1.023641831549132, 1.4720183854359736`}, {0., 
         0.6817683349463056}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.023641831549132, 1.4720183854359736`}, {
          0.16654291442038816`, 1.1918065712878574`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.6817683349463056}, {0.16654291442038816`, 
          1.1918065712878574`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.6817683349463056}, {0.4202831900721221, 
          0.0010960024301311933`}}]}, 
        LineBox[{{0.16654291442038816`, 1.1918065712878574`}, {
         0.4202831900721221, 0.0010960024301311933`}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.049412365185015, 0.6816712639283122}, 
          0.023011135042656228], 
         InsetBox["a", 
          Offset[{2, 2}, {2.072423500227671, 0.7046823989709685}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6270097107846166, 0.}, 0.023011135042656228], 
         InsetBox["d", 
          Offset[{2, 2}, {1.650020845827273, 0.023011135042656228}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.024192374627024, 0.5859339806188321}, 
          0.023011135042656228], 
         InsetBox["e", 
          Offset[{2, 2}, {1.0472035096696803, 0.6089451156614882}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8822323389521873, 1.1920898185556923}, 
          0.023011135042656228], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9052434739948436, 1.2151009535983486}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.023641831549132, 1.4720183854359736}, 
          0.023011135042656228], 
         InsetBox["h", Offset[{2, 2}, {1.0466529665917883, 1.49502952047863}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.6817683349463056}, 0.023011135042656228], 
         InsetBox["b", 
          Offset[{2, 2}, {0.023011135042656228, 0.7047794699889618}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.16654291442038816, 1.1918065712878574}, 
          0.023011135042656228], 
         InsetBox["f", 
          Offset[{2, 2}, {0.18955404946304438, 1.2148177063305137}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.4202831900721221, 0.0010960024301311933}, 
          0.023011135042656228], 
         InsetBox["c", 
          Offset[{2, 2}, {0.44329432511477834, 0.02410713747278742}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, {3.813084062575436*^9, 
   3.813084068768345*^9}},
 CellLabel->"Out[17]=",ExpressionUUID->"d3b0d002-cc93-48e9-a151-1449bb420311"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, {3.813084062575436*^9, 
   3.813084068773332*^9}},
 CellLabel->"Out[18]=",ExpressionUUID->"34cf0124-d524-4ab6-83d1-e23225a62f70"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "c"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "a"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "c"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"h", "\[UndirectedEdge]", "a"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "c"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "a"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, {3.813084062575436*^9, 
   3.8130840687763243`*^9}},
 CellLabel->"Out[19]=",ExpressionUUID->"5498dca8-0b06-472c-9fb2-8b005d454f55"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"7b93b3eb-bffa-441d-960a-beb6766c4ea7"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"c441236e-3fca-4502-a685-f2b80ca10843"],
Cell[CellGroupData[{
Cell[785, 27, 2618, 66, 760, "Input",ExpressionUUID->"1788cdfa-aeee-4d67-baea-a9c07bf89a30"],
Cell[3406, 95, 3675, 78, 576, "Output",ExpressionUUID->"2d1e8c07-c8dc-4b44-9729-e401d287ef76"],
Cell[7084, 175, 1200, 32, 144, "Output",ExpressionUUID->"ceef8db0-7fbf-4301-843f-16fa3a711132"],
Cell[8287, 209, 3899, 121, 136, "Output",ExpressionUUID->"806b73df-20b2-40ef-870f-4f8851be844d"],
Cell[12189, 332, 6221, 124, 576, "Output",ExpressionUUID->"d3b0d002-cc93-48e9-a151-1449bb420311"],
Cell[18413, 458, 530, 8, 100, "Output",ExpressionUUID->"34cf0124-d524-4ab6-83d1-e23225a62f70"],
Cell[18946, 468, 1919, 40, 306, "Output",ExpressionUUID->"5498dca8-0b06-472c-9fb2-8b005d454f55"]
}, Open  ]]
}
]
*)

